Dependent Library not Found


I am building a RunKit to showcase and present the library I’m building, Configue. I start by requiring the library, but I get the following error:

Error: Cannot find module 'yargs’
Should we have yargs?
We should have every package on npm. Sometimes this error is caused by a typo in your require path, but if you think we are actually missing this package, please confirm below and we’ll do our best to fix it as soon as possible!

Yargs being a dependency of my library.
When I try to import the yargs module directly things are working well.

Here is a link to the runkit:

Note that so far I am using a release candidate of my application that is publicated to npm.

I reported the bug. What more could I do to try to solve this?

Thanks for any help :slight_smile:



Hi Adrien,

You need to declare “yargs” as a dependency in your package.json, then it should work.

– Randy


Quick followup, I also realized one of your dependencies nconf is a git URL. RunKit doesn’t currently support git dependencies (although it is something we’d like to eventually support). You will have to publish that package to NPM in order to use it in RunKit.

– Randy


I don’t why but I was sure yargs was one of my dependency. My bad!

For the url has npm dependency it is temporary the time that nconf is rereleased.
By the time that this runkit is usable, that will be replaced with the a real nconf release.

Thanks a lot for your input @me1000! :slight_smile: